<?php

/*
=============================================================================
CUSTOM SETTINGS FOR THE THEME OPTIONS PANEL
=============================================================================

Add new settings to the theme options panel here.
Every array item is a new setting.

Available values for "type" setting: checkbox,select,text,textarea,color,image_upload
Available values for "label" setting: main,layout,menu,footer,lists,titles,customizations,social

$HC_CUSTOM_PANEL
name : Theme's name
version : Theme's version
colors : Theme's panel colors

Documentation: wordpress.framework-y.com/advanced-api-documentation/#custom-theme

 */

global $HC_CUSTOM_PANEL;

$HC_CUSTOM_PANEL = array(
	'name'    => 'Codrop',
	'version' => '1.0',
    'colors'  => array("#000","#3B3B3B"),
    'demos' => array(array('id' => 'main','name' => 'Main'),array('id' => 'chat','name' => 'Chat'),array('id' => 'fintech','name' => 'Fintech'),array('id' => 'food','name' => 'Food'),array('id' => 'music','name' => 'Music'),array('id' => 'news','name' => 'News'),array('id' => 'photo','name' => 'Photo'),array('id' => 'saas','name' => 'Saas'),array('id' => 'sport','name' => 'Sport'),array('id' => 'travel','name' => 'Travel')),
    'demos_url' => 'http://themes.framework-y.com/demo-import/codrop/'
);


$HC_SITE_FONTS = 'body, textarea, body .sb-cnt, body .sb-cnt textarea, body .sb-account, body .sb-chat-cnt, body .sb-input input,button, .input-text, .input-select, .input-textarea, input[type=submit] {
    font-family: [FONT-1];
}';

$HC_SITE_COLORS = '.btn-video:after, .btn-text, .title h2 .dot, [class^=col-] > h1 .dot, [class^=col-] > h2 .dot, .title h2 .dot, .container > h2 .dot, .container > h1 .dot, .cnt-call h2 .dot, .col h2 .dot,
.fixed-area > h2 .dot, header h1 .dot, .accordion-list > li:hover > a, .cnt-box-top-icon > i, .cnt-box-side-icon > i, .btn.btn-border, .cnt-pricing-table .top-area p, .tab-nav li:not(.active):not(:hover) a,
.icon-links a i, .media-box-reveal h3, nav:not(.menu-transparent) .lan-menu > li:hover > a, .pagination li:not(.page):not(.disabled) a:hover, .counter .value span.text-md:last-child,
.tab-icon.tab-vertical > .tab-nav li.active a i, .tab-icon.tab-vertical > .tab-nav li:hover a i, .tab-vertical > .tab-nav li:hover a, .meta-footer, .form-search > div:before, .cnt-box-side .extra-field,
nav .tab-nav li.active a, nav .tab-nav li:hover a, .menu-inner li:hover > a, .menu-inner li.active > a, a, .mega-menu h5, .search-box-menu > i:hover, .mega-menu .icon-list li a:hover,
nav.active .menu-btn:before, .text-list-side li div, .hc-cmp-title-tag .dot, .hc-cmp-title-tag .dot, body .woocommerce-info::before {
    color: [MAIN-COLOR];
}

nav.light a.btn-border, .dropdown > ul li:hover > a, .dropdown > ul li.active > a, .menu-cnt > ul > li:hover > a, .menu-cnt > ul > li.active > a, .light .counter h3, .breadcrumb li:last-child a,
.breadcrumb li:hover a, .menu-side-collapse .dropdown-submenu > a, .woocommerce .star-rating span, body .woocommerce ul.products li.product:hover .button {
    color: [MAIN-COLOR] !important;
}

.btn-text.btn-video:before, .icon-circle li:before, .icon-circle span:before, .icon-line li:before, .icon-line span:before, .progress-bar > div > div, .progress-bar > div span, .breadcrumb li a:after,
.menu-inner li:before, .counter-big.counter-icon .value span:last-child:before, .cnt-box-team .caption h2:before, .mega-menu .tab-nav a:after, .shop-menu-cnt .cart-count, .cnt-box-blog-top .extra-field,
html #sb-main .sb-chat-btn, body .woocommerce ul.products li.product .onsale, .woocommerce main span.onsale, .woocommerce main div.product form.cart .button:hover, .woocommerce main #respond input#submit:hover, .woocommerce main a.button:hover,
.woocommerce main button.button:hover, .woocommerce main input.button:hover, main .woocommerce a.button:hover, main .woocommerce button.button:hover, main .woocommerce input.button:hover,
.woocommerce main #payment #place_order, .woocommerce-page main #payment #place_order, .widget .woocommerce-product-search [type="submit"], body .woocommerce button.button,
html .woocommerce button.button.alt, .woocommerce main #respond input#submit, html .woocommerce a.button {
    background-color: [MAIN-COLOR];
}

.woocommerce-cart .wc-proceed-to-checkout a.checkout-button {
    background-color: [MAIN-COLOR] !important;
}

.btn, .tab-nav li.active a, .tab-nav li:hover a, .tab-nav.align-center li.active a, .tab-nav.align-center li:hover a, .icon-links-grid a:hover, .icon-links-button a, nav.light a.btn-border:hover,
.btn-border:hover, .menu-transparent .btn:not(.btn-border), .searchform input[type="submit"] {
    background-color: [MAIN-COLOR];
    border-color: [MAIN-COLOR];
}

.light .btn-border {
    color: [MAIN-COLOR] !important;
    border-color: [MAIN-COLOR] !important;
}

.tab-nav li a, .form-search:hover, body .woocommerce-info {
    border-color: [MAIN-COLOR];
}

.pricing-table-big {
    border-top-color: [MAIN-COLOR];
}

.icon-links a:hover i, .icon-links-popup:hover > i, .breadcrumb li:not(:last-child):hover a, .search-bar input[type=submit]:hover, .btn-text:hover, .menu-inner .dropdown ul > li:hover > a,
.album-title > a:hover, .glide__arrow:hover, .list-nav a:hover,
.form-search > div:hover:before {
    color: [HOVER-COLOR];
}

.btn:not(.btn-border):hover, .icon-links-button a:hover, .woocommerce main div.product form.cart .button:hover, .woocommerce main div.product form.cart .button:hover, .woocommerce main #respond input#submit:hover, .woocommerce main a.button:hover,
.woocommerce main button.button:hover, .woocommerce main input.button:hover, main .woocommerce a.button:hover, main .woocommerce button.button:hover, main .woocommerce input.button:hover,
.widget .woocommerce-product-search [type="submit"]:hover {
    background-color: [HOVER-COLOR];
}

.btn:not(.btn-border):hover, .input-text:focus, .input-select:focus, .input-textarea:focus, .search-bar input[type=text]:focus {
    border-color: [HOVER-COLOR];
}

h1, h2, h3, h4, h5, h6, .accordion-list > li > a, .cnt-box-testimonials .testimonial-info span, .cnt-box-testimonials-bubble .thumb-bar span, .social-feed-fb .meta-header a,
.counter .value, .glide__arrow, .cnt-pricing-table .price, .form-box p, .input-text, .input-select, .input-textarea, nav:not(.light) .menu-cnt > ul > li > a, .table th, .cnt-box-blog-side .icon-list a,
.cnt-box-blog-top .icon-list a, .pagination li.page a, .pagination li:not(.page) a, .step-item > span, .tab-box.tab-vertical > .tab-nav li.active a, .tab-icon.tab-vertical > .tab-nav li:hover a,
.social-feed-fb .meta-header .date, .box-sign b, .timeline .badge p, .menu-inner li > a, .text-list-bold b, .text-list-line li b, .quote .quote-author, .icon-list-horizontal, .icon-list-horizontal a,
.quote, p b, .list-nav a, .text-color, .text-color p, .cnt-pricing-table > ul > li, nav .tab-nav li a, nav .tab-nav li.active a, nav .tab-nav li:hover a, nav .tab-nav li:not(.active):not(:hover) a,
nav.light .col i, .menu-cnt > ul .col li a, .breadcrumb li a, .countdown, .media-box-down .caption h2, .album-title, .collapse-button a, .search-bar input[type=submit], .search-box-menu > i,
body > nav .icon-links a i, .shop-menu-cnt > i:before, .shop-menu-cnt .cart-total, .menu-mini > .container > ul > li, .menu-btn:before, .quote p, body .woocommerce ul.products li.product .price, .woocommerce .comment-reply-title, main .woocommerce form .form-row label, .menu-cnt > ul > li ul a,
.woocommerce-MyAccount-content form fieldset legend, .product-name a, .widget .woocommerce ul.product_list_widget li .star-rating span:before, .widget .woocommerce ul.product_list_widget li .star-rating:before,
.woocommerce main ul.products li.product .price, .woocommerce-MyAccount-navigation ul li a, .product_meta a {
    color: rgb(18, 48, 74);
}

.woocommerce div.product p.price, .woocommerce div.product span.price, .woocommerce table a.remove, .woocommerce div.product .woocommerce-tabs ul.tabs li a, .light .shop-menu p {
    color: [COLOR-3] !important;
}

.accordion-list > li > a:before, .cnt-box-badge .badge, .cnt-box-blog-side .blog-date, .cnt-box-blog-top .blog-date, .cnt-box-top .extra-field, .media-box-half .extra-field,body > nav.light:not(.menu-transparent), nav.light.menu-transparent.scroll-menu, footer,.boxed-area.light {
    background-color: [COLOR-3];
}

.glide__bullets > button:hover, .glide__bullets > button.glide__bullet--active, .pagination li.page:hover a, .pagination li.page.active a, .list-tags a, .tagcloud a {
    background-color: [COLOR-3];
    border-color: [COLOR-3];
}

.glide__bullets > button, .pagination li.page a {
    border-color: [COLOR-3];
}

body, p, input, textarea, ::placeholder, .tab-box.tab-vertical > .tab-nav li:not(.active):not(:hover) a, body > header .container > h2 {
    color: [COLOR-4];
}';
?>
